local electric_furnace_textures = {active = {"furnace_side.png", "furnace_side.png", "furnace_side.png", "furnace_side.png", "furnace_electric_back.png", "furnace_electric_front_active.png"}, inactive = {"furnace_side.png", "furnace_side.png", "furnace_side.png", "furnace_side.png", "furnace_electric_back.png", "furnace_electric_front.png"}}
local conf = nil
local function _0_(meta)
  return "label[1,2;Electric furnace]"
end
local function _1_(pos)
  return (minetest.get_meta(pos):get_int("active") == 1)
end
conf = {additional_formspec = _0_, crafts = furnace_crafts, description = "Electric furnace", groups = {conductor = 1, cracky = 2}, is_furnace_ready = _1_, light_source = 6, lists = {}, name = "electric", on_construct = set_resis(50, 10), on_destruct = reset_current, on_tick = {andthen(reset_consumer("furnace:electric"), const(true))}, textures = electric_furnace_textures}
minetest.register_node("furnace:electric_broken", {description = "Electric furnace (broken)", groups = {cracky = 2}, paramtype2 = "facedir", tiles = electric_furnace_textures.inactive})
local function _2_(pos)
  return swap_node(pos, "furnace:electric_broken")
end
local function _3_(...)
  return run_furnace(conf, ...)
end
local function _4_(...)
  return stop_furnace(conf, ...)
end
consumers["furnace:electric"] = {["I\226\130\152\226\130\144\226\130\147"] = 10, ["P\226\130\152\225\181\162\226\130\153"] = 50, burn = _2_, on_activate = _3_, on_deactivate = _4_}
register_furnace(conf)
model["furnace:electric"] = consumer
model["furnace:electric_active"] = consumer
return nil
